Package com.independentsoft.office.spreadsheet.drawing

# Class AbsoluteAnchor

java.lang.Object
com.independentsoft.office.spreadsheet.drawing.Anchor
com.independentsoft.office.spreadsheet.drawing.AbsoluteAnchor

public class AbsoluteAnchor extends Anchor
The Class AbsoluteAnchor.

- ## Field Summary

  ### Fields inherited from class com.independentsoft.office.spreadsheet.drawing.Anchor

  `clientData, element`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbsoluteAnchor()`
  Instantiates a new absolute anchor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AbsoluteAnchor`
  `clone()`
  `ShapeExtent`
  `getExtent()`
  Gets the extent.
  `Position`
  `getPosition()`
  Gets the position.
  `void`
  `setExtent​(ShapeExtent extent)`
  Sets the extent.
  `void`
  `setPosition​(Position position)`
  Sets the position.
  `String`
  `toString()`

  ### Methods inherited from class com.independentsoft.office.spreadsheet.drawing.Anchor

  `getClientData, getElement, setClientData, setElement`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AbsoluteAnchor

    public AbsoluteAnchor()
    Instantiates a new absolute anchor.

- ## Method Details

  - ### clone

    public AbsoluteAnchor clone()
    Specified by:
      `clone` in class `Anchor`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getPosition

    public Position getPosition()
    Gets the position.
    Returns:
      the position

  - ### setPosition

    public void setPosition​(Position position)
    Sets the position.
    Parameters:
      `position` - the new position

  - ### getExtent

    public ShapeExtent getExtent()
    Gets the extent.
    Returns:
      the extent

  - ### setExtent

    public void setExtent​(ShapeExtent extent)
    Sets the extent.
    Parameters:
      `extent` - the new extent